abayer Deprecation Proposal

Skip to end of metadata
Go to start of metadata

Logistics

  • Replacement plugins should have a way of reading the configuration info for the plugin(s) they are deprecating. See EnvInject Plugin for an approach that doesn't require depending on the deprecated plugin.
  • Deprecated plugins will be listed in a properties file in backend-update-center2, paired with the plugins they are replaced by.
  • When generating the update center JSON, the entry for deprecated plugins will be replaced by the replacement plugin, with additional fields to note that this is replacing a deprecated plugin.
  • The "Available" plugins list in the PluginManager UI will not show deprecated plugins at all.
  • The "Upgrades" plugins list in the PluginManager UI will see the additional fields that note the deprecation, and will show the replacement plugin with a note that it's available as a replacement for the deprecated plugin.
  • Users will be responsible for disabling/uninstalling the deprecated plugins themselves. They will not be automatically removed.
Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.